# Class yii\httpclient\XmlFormatter

Inheritance | yii\httpclient\XmlFormatter » yii\base\BaseObject
Implements | yii\base\Configurable, yii\httpclient\FormatterInterface
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-httpclient/blob/master/XmlFormatter.php

XmlFormatter formats HTTP message as XML.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$contentType | string | The Content-Type header for the response | yii\httpclient\XmlFormatter
$encoding | string | The XML encoding. | yii\httpclient\XmlFormatter
$itemTag | string | The name of the elements that represent the array elements with numeric keys. | yii\httpclient\XmlFormatter
$rootTag | string | The name of the root element. | yii\httpclient\XmlFormatter
$useTraversableAsArray | boolean | Whether to interpret objects implementing the Traversable interface as arrays. | yii\httpclient\XmlFormatter
$version | string | The XML version | yii\httpclient\XmlFormatter

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
format() | Formats given HTTP request message. | yii\httpclient\XmlFormatter
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
buildXml() |  | yii\httpclient\XmlFormatter

## Property Details

$contentType public property

The Content-Type header for the response

public string $contentType = 'application/xml'
$encoding public property

The XML encoding. If not set, it will use the value of yii\base\Application::$charset.

public string $encoding = null
$itemTag public property (available since version 2.0.1)

The name of the elements that represent the array elements with numeric keys.

public string $itemTag = 'item'
$rootTag public property

The name of the root element.

public string $rootTag = 'request'
$useTraversableAsArray public property (available since version 2.0.1)

Whether to interpret objects implementing the Traversable interface as arrays. Defaults to `true`.

public boolean $useTraversableAsArray = true
$version public property

The XML version

public string $version = '1.0'

## Method Details

buildXml() protected method

protected void buildXml ( $element, $data )
$element | DOMElement |
$data | mixed |

format() public method

Formats given HTTP request message.

public yii\httpclient\Request format ( yii\httpclient\Request $request )
$request | yii\httpclient\Request | HTTP request instance.
return | yii\httpclient\Request | Formatted request.